1. Форумы
  2. CloudLinux и панели управления
  3. CloudLinux и cPanel
  1. Бурак Уэда
  2. Пятница, 27 сентября 2019
  3. Подписка по электронной почте
Я знаю, что PHP 5.3 устарел, его использование представляет угрозу безопасности, и включение register_globals будет вишенкой сверху.
НО, мне нужно использовать его в течение нескольких месяцев для очень старого веб-сайта, пока я не обновлю его новой технологией.

У меня установлен Cloudlinux 7.7 на cPanel v82.0.15
- Установлен PHP 5.3 через EasyApache 4
- Применил 5.3 на сайт через MultiPHP Manager
- Отредактированный файл php.ini для 5.3 "register_globals = On"

Однако register_globals по-прежнему выключен.
Я не вижу register_globals директива в phpinfo () вообще

Могу ли я сделать что-нибудь, чтобы включить register_globals?
Оценить этот пост:
  1. 27.09.2019 08:09:15
  2. # 1
Бурак Уэда Принято ответа
Сообщений: 0
Присоединился: 20.01.2020
0
Голосов
расстегивать
Мне очень жаль.
Попробовал еще раз, но на этот раз я применил PHP-FPM
Это сработало.
  1. 27.09.2019 09:09:53
  2. # 2
Сергей Христич Принято ответа
Сообщений: 179
Присоединился: 20.05.2019
0
Голосов
расстегивать
Привет Бурак,
Рад слышать это и спасибо за продолжение! Пожалуйста, дайте нам знать, если у вас есть какие-либо вопросы.
Менеджер по маркетингу
  • Страница:
  • 1


Там нет ответов, сделанные на этот пост пока нет.
Будьте одним из первых, чтобы ответить на этот пост!
гость
Отправить Ваш ответ
Загрузить файлы или изображения для обсуждения этого вопроса, нажав на кнопку загрузки ниже. опоры GIF, JPG, PNG, ZIP, RAR, PDF
• Вставить • Удалить Загрузка файлов (Максимальный размер файла: 2 MB)
Защитный код
Чтобы защитить сайт от ботов и несанкционированных сценариев, мы требуем, чтобы вы ввели коды капчи ниже, прежде чем отправить свой вопрос.
Отправляя ответ, вы соглашаетесь с Cloudlinux Политика Kонфиденциальности